ganglia (3.6.0-7ubuntu2) bionic; urgency=medium

  * No-change rebuild against libconfuse2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2017 16:16:21 +0000

ganglia (3.6.0-7ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Convert autoreconf handling to dh-autoreconf.
    - Add autopkgtest.
  * Dropped changes, included in Debian:
    - Add build-{arch,indep} targets to debian/rules, fixing compatibility
      with dpkg >= 1.18.8.
  * Don't comment out the rules for the clean target (?)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2016 08:40:22 -0700

ganglia (3.6.0-7) unstable; urgency=high

  * Add missing targets build-arch and build-indep. (Closes: #821985)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 07 Jul 2016 08:26:49 +0200

ganglia (3.6.0-6.1ubuntu2) yakkety; urgency=medium

  * Add build-{arch,indep} targets to debian/rules, fixing compatibility
    with dpkg >= 1.18.8.  Closes: #821985.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Jul 2016 20:54:53 +0000

ganglia (3.6.0-6.1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Convert autoreconf handling to dh-autoreconf.
    - Add autopkgtest.
  * Dropped changes, included in Debian:
    - Build-depend on pkg-config.
    - Build-depend on zlib1g-dev.
    - Fix build dependency on librrd-dev.
  * Dropped changes:
    - Upstartify init scripts: drop, upstart no longer supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Jul 2016 13:03:40 -0700

ganglia (3.6.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Updated build-dependencies. Thanks Michael Tautschnig. (Closes: #812462)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 06 May 2016 18:22:47 +0000

ganglia (3.6.0-6ubuntu6) yakkety; urgency=medium

  * No-change rebuild against libconfuse1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Jul 2016 00:07:05 +0000

ganglia (3.6.0-6ubuntu5) yakkety; urgency=medium

  * No-change rebuild for librrd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:49:35 +0000

ganglia (3.6.0-6ubuntu4) xenial; urgency=medium

  * Build-depend on zlib1g-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 17:07:02 +0100

ganglia (3.6.0-6ubuntu3) xenial; urgency=medium

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 16:45:18 +0100

ganglia (3.6.0-6ubuntu2) xenial; urgency=medium

  * Fix build dependency on librrd-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 15:52:22 +0100

ganglia (3.6.0-6ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.
    - Convert autoreconf handling to dh-autoreconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 14:36:06 +0000

ganglia (3.6.0-6) unstable; urgency=medium

  * Fix for missing service file. (Closes: #764836)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 12 Oct 2014 13:25:45 +0200

ganglia (3.6.0-5ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.
    - Convert autoreconf handling to dh-autoreconf.
  * Declare "XS-Testsuite: autopkgtest" so that the tests are actually run.
  * Add missing service file for gmond.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Oct 2014 13:45:49 +0100

ganglia (3.6.0-5) unstable; urgency=medium

  * Add force option to autoreconf.  (Closes: #726396)

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 04 Oct 2014 12:33:42 +0200

ganglia (3.6.0-4) unstable; urgency=medium

  * Add README.source

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 13:40:37 +0200

ganglia (3.6.0-3) unstable; urgency=medium

  * Fix for missing service file. (Closes: #759940)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 11:58:04 +0200

ganglia (3.6.0-2) unstable; urgency=low

  * Fix for kFreeBSD builds

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 05 Sep 2013 11:53:06 +0200

ganglia (3.6.0-1ubuntu2) saucy; urgency=low

  * Convert autoreconf handling to dh-autoreconf.
  * Pass --force to autoreconf so that it updates config.guess and
    config.sub (closes: #541107).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 12:43:52 +0100

ganglia (3.6.0-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Upstartify init scripts.
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jul 2013 10:17:59 +0100

ganglia (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Add a debian/watch file.
  * Stop removing debian/patches directory in clean target so that we
    can include patches to upstream.
  * Fix truncation of large block sizes in disk space reporting
    (Closes: Bug#694623).
  * Update Maintainer and VCS entries for entry to pkg-monitoring on alioth

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 16:27:26 +0200

ganglia (3.3.8-1+nmu1ubuntu3) saucy; urgency=low

  * Depend on libgd3 rather than libgd2-noxpm | libgd2-xpm.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 09:48:45 +0100

ganglia (3.3.8-1+nmu1ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 10:31:58 +0200

ganglia (3.3.8-1+nmu1ubuntu1) raring; urgency=low

  * debian/{ganglia-monitor,gmetad}.upstart: Upstartify init scripts.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 22 Mar 2013 00:51:27 -0400

ganglia (3.3.8-1ubuntu1) raring; urgency=low

  * Upstartify init scripts (LP: #656427, LP: #1078711).

 -- Jonathan Davies <jonathan.davies@canonical.com>  Wed, 14 Nov 2012 15:23:46 +0000

ganglia (3.3.8-1) unstable; urgency=low

  * Check URL arguments thoroughly (Closes: #683584)
  * Fix un-initialized return code variable
  * Fix memory leak
  * Fix issue where Ganglia fails to start with NetworkManager
    (Closes: #638628)
  * Extra logging of buffer sizes for troubleshooting a common problem
  * Add Daniel Pocock as uploader (Debian Maintainer)
  * Add VCS URLs to control file.
  * PO translation didn't get into the package properly.

  [ Stuart Teasdale ]
  * Stop deleting web/version.php during clean as it comes from upstream

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 13 Aug 2012 15:17:28 +0200

ganglia (3.3.5-2) unstable; urgency=low

  * Add dutch translation. Closes: #658494.
  * Activated hardening flags from dpkg-buildflags. Closes: #655126.
  * Change pid file generation so the daemons do it. 
    Closes: #651293 #526146 #65124
  * Add httpd to the depends: for the web front end. Closes: #578620.
  * New translation for Polish. Closes: #667085.
  * New translation for Brazilian Portuguese. Closes: #667563.

 -- Stuart Teasdale <sdt@debian.org>  Thu, 05 Apr 2012 18:27:56 +0100

ganglia (3.3.5-1) experimental; urgency=low

  * New upstream version

 -- Stuart Teasdale <sdt@debian.org>  Tue, 27 Mar 2012 22:22:03 +0100

ganglia (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Stuart Teasdale <sdt@debian.org>  Thu, 08 Mar 2012 20:11:24 +0000

ganglia (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Stuart Teasdale <sdt@debian.org>  Sat, 21 Jan 2012 10:35:23 +0000

ganglia (3.1.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: aborting due to unexpected upstream changes": use
    dh_autotools-dev_* helper tools for handling config.{guess,sub} in
    debian/rules, make build dependency on autotools-dev versioned, remove
    respective hunks from debian/patches/debian-changes-3.1.7-2.
    (Closes: #651320)
  * Now the package builds once but not twice in a row due to auto-generated
    files; clean them in debian/rules, and remove them from
    debian/patches/debian-changes-3.1.7-2.
  * Fix "post-installation script returns error exit status 1" and "post
    install script fails to add the ganglia user":
    patch from Ubuntu / Mark Mims:
    - Fix options on useradd in postinst. (LP: #854866)
    (Closes: #626407, #561199)

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Jan 2012 16:55:13 +0100

ganglia (3.1.7-2) unstable; urgency=low
  
  * Stop ganglia-monitor from changing permissions on /var/lib/ganglia
    in postinst. Closes: #586909
  * Switch from adduser to useradd in postinst and prerm. Closes: #620505 
  * Include Danish debconf template. Closes: #605328
  * Remove la files from dependency_libs. Closes: #621232 #620721
  * Switch to dpkg-source 3.0 (quilt) format

 -- Stuart Teasdale <sdt@debian.org>  Thu, 07 Apr 2011 21:26:32 +0100

ganglia (3.1.7-1) unstable; urgency=low

  * New upstream version. Closes: #584276. 
  * Bump of standards-version to 3.8.4 
  * Add build-dep on libpcre3-dev

 -- Stuart Teasdale <sdt@debian.org>  Tue, 15 Jun 2010 22:33:13 +0100

ganglia (3.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Czech (Michal Simunek).  Closes: #538741
    - Italian (Vincenzo Campanella).  Closes: #556105
    - Czech (Michal Simunek).  Closes: #574010

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Mar 2010 00:45:10 +0100

ganglia (3.1.2-3) unstable; urgency=high

  * Adjust the default umask of the daemons. Closes: #567175
  * Fix in postinst to change the umask of existing rrds
  * Add build dependency for libdbi0-dev. Closes: #569395
  * Horrid directory mangling in postinst hacked around for permissions 

 -- Stuart Teasdale <sdt@debian.org>  Sat, 13 Feb 2010 23:15:02 +0000

ganglia (3.1.2-2.1) unstable; urgency=low

  * Non-maintainer upload by arrangement with maintainer.

  [ Jonathan Wiltshire ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #539204
  * Debconf translation updates:
     - Swedish (closes: #539217)
     - Finnish (closes: #539325)
     - Czech (closes: #539614)
     - Basque (closes: #539872)
     - French (closes: #540038)
     - Italian (closes: #540200)
     - German (closes: #540220)
     - Spanish (closes: #540708)
     - Portugese (closes: #540769)
     - Russian (closes: #540849)
     - Vietnamese (closes: #547916)
     - Japanese (closes: #551022)
  * Refactor ganglia-webfrontend.{post,pre}inst for changed templates, and
    simultaneously purge old code now that apache2 is the only package in
    Squeeze. Use the a2enmod and a2dismod helpers to enable and disable the
    Apache module instead of directly creating symbolic links.

  [ Christian Perrier ]
  * Debconf translation updates:
    - Galician (Marce Villarino).  Closes: #555451

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Nov 2009 22:02:43 +0100

ganglia (3.1.2-2) unstable; urgency=low

  * Tweaks to ganglia-webfrontend debconf templates
  * If we have an old gmond.conf convert it. Closes: #512154 
  * Changes to the example apache aliases. Closes: #518255

 -- Stuart Teasdale <sdt@debian.org>  Thu, 02 Jul 2009 19:59:35 +0100

ganglia (3.1.2-1) experimental; urgency=low

  * New upstream version with security fixes. (Closes: #512365.)
  * Include the gmond.conf manpage in the ganglia-monitor package.
    Closes: #512695.
  * Fix up the apache config stub. Closes: #512153.

 -- Stu Teasdale <sdt@debian.org>  Sat, 31 Jan 2009 21:43:26 +0000

ganglia (3.1.1-3)
experimental; urgency=low
  * Extra dependencies to allow php5-gd to be loaded 
  * Fix gmond.conf to run gmond as the ganglia user. Closes: #510381
 -- Stu Teasdale <sdt@debian.org>  Tue,  6 Dec 2008 13:30:30 +0000

ganglia (3.1.1-2) experimental; urgency=low

  * Ensure all archs use $prefix/lib for library installs. 
    Closes: #507008.
  * Build option tweaks
  * Ensure graph.d is correctly pulled in. Closes: #507012.
  * actually ship the apapche.conf 

 -- Stuart Teasdale <sdt@debian.org>  Wed, 12 Nov 2008 21:47:51 +0000

ganglia (3.1.1-1) experimental; urgency=low

  * New upstream version
  * Fix libganglia1 version dependencies
  * Change maintainer to sdt@debian.org
  * Add explicit libxml2-dev build-dep. Closes: #493947.

 -- Stuart Teasdale <sdt@debian.org>  Sun, 31 Aug 2008 10:34:13 +0100

ganglia (3.1.0-1) experimental; urgency=low

  * New Upstream version
  * Includes ganglia-webfrontend package. Closes: #284346.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sun, 29 Jun 2008 10:13:45 +0100

ganglia-monitor-core (2.5.7-2) unstable; urgency=low

  * Autoreconfed again for mips/mipsel shared library support.
    Closes: #285212.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sat, 11 Dec 2004 18:07:29 +0000

ganglia-monitor-core (2.5.7-1) unstable; urgency=low

  * New upstream release, closes #281526.

 -- Stuart Teasdale <stu@drogna.org.uk>  Sat, 20 Nov 2004 13:06:30 +0000

ganglia-monitor-core (2.5.5-8) unstable; urgency=low

  * Friendly package takeover, thanks to Preston Smith for his work up to
    now.
  * New maintainer is Stuart Teasdale.
  * New uploaders are Stephen Quinney and Andrew Stribblehill.
  * Removed conflicts with firebird2-utils-super and
    firebird2-utils-classic. firebird2 changed the name of its gstat
    binary to fbstat, closes: #281527.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue, 16 Nov 2004 18:40:32 +0000

ganglia-monitor-core (2.5.5-7) unstable; urgency=low

  * Updated conflicts with /usr/bin/gstat for packages 
    firebird2-utils-super firebird2-utils-classic. 

 -- Preston Smith <psmith@physics.purdue.edu>  Wed, 20 Oct 2004 10:10:29 -0500

ganglia-monitor-core (2.5.5-6) unstable; urgency=low

  * Added patch to check for matching strings while parsing /proc files.
    Some architectures, or UML, etc. don't match all the regular cases.
    Fix sprouted from segfaults in determining cpu MHz on UML.
    (Closes: #235827)

 -- Preston Smith <psmith@foobird.net>  Mon, 17 May 2004 13:52:45 -0500

ganglia-monitor-core (2.5.5-5) unstable; urgency=low

  * Make install wasn't putting ganglia header files in /usr/include, fixed.
    (Closes: #237202)

 -- Preston Smith <psmith@physics.purdue.edu>  Wed, 10 Mar 2004 09:03:38 -0500

ganglia-monitor-core (2.5.5-4) unstable; urgency=low

  * Fixed postinst scripts that didn't have --system for creating 
    the ganglia group. (Closes: #227020)

 -- Preston Smith <psmith@physics.purdue.edu>  Sat, 10 Jan 2004 10:55:05 -0500

ganglia-monitor-core (2.5.5-3) unstable; urgency=low

  * Fixed bad logic in postrms, for removing /var/lib/ganglia/rrds. 
    Made sure that rm uses -f to catch any errors. (Closes: #222706) 

 -- Preston Smith <psmith@physics.purdue.edu>  Fri,  5 Dec 2003 14:20:13 -0500

ganglia-monitor-core (2.5.5-2) unstable; urgency=low

  * Configure script lacked the proper version number (thought it was still
    2.5.4). Fixed. (Closes: #221264)

 -- Preston Smith <psmith@physics.purdue.edu>  Mon, 17 Nov 2003 12:57:17 -0500

ganglia-monitor-core (2.5.5-1) unstable; urgency=low

  * New upstream release.
  * This release fixes DOS that can crash gmond if a specially crafted packet
    is sent to it.
  * Fixed gmetad's dependencies, which for some reason manually specified a
    libc version, which was keeping it out of testing.

 -- Preston Smith <psmith@physics.purdue.edu>  Thu,  6 Nov 2003 14:09:57 -0500

ganglia-monitor-core (2.5.4-2) unstable; urgency=low

  * Re-autoconf'd to fix mips/mipsel so that shlibs can be build right. 
    (Closes: #208711)

 -- Preston Smith <psmith@physics.purdue.edu>  Mon,  8 Sep 2003 09:08:08 -0500

ganglia-monitor-core (2.5.4-1) unstable; urgency=low

  * New upstream release

 -- Preston Smith <psmith@physics.purdue.edu>  Thu,  4 Sep 2003 09:29:40 -0500

ganglia-monitor-core (2.5.3-6) unstable; urgency=low

  * Ok, patched ltmain.sh and aclocal.m4 to set link_all_deplibs=no and
    set dependency libs correctly. (Closes: #192000, 187606)

 -- Preston Smith <psmith@physics.purdue.edu>  Tue,  1 Jul 2003 11:02:59 -0500

ganglia-monitor-core (2.5.3-5) unstable; urgency=low

  * build-deps cleanup was overzealous, removed dependency on cgilib.
    Sigh. (Closes: #191342)

 -- Preston Smith <psmith@physics.purdue.edu>  Tue, 29 Apr 2003 21:19:10 -0500

ganglia-monitor-core (2.5.3-4) unstable; urgency=low

  * Changed build-depends to not specify libpng-dev, and get it from
    librrd0. (Closes: #180981)

 -- Preston Smith <psmith@physics.purdue.edu>  Mon, 28 Apr 2003 22:35:41 -0500

ganglia-monitor-core (2.5.3-3) unstable; urgency=low

  * Fixed build failure on hppa (Closes: #186928)

 -- Preston Smith <psmith@physics.purdue.edu>  Sun, 27 Apr 2003 23:32:11 -0500

ganglia-monitor-core (2.5.3-2) unstable; urgency=low

  * Re-made autoconf scripts so that mips and mipsel can make proper
    shared libraries. (Closes: #186431)

 -- Preston Smith <psmith@physics.purdue.edu>  Thu, 27 Mar 2003 23:09:16 -0500

ganglia-monitor-core (2.5.3-1) unstable; urgency=low

  * New upstream release
  * Added a conflicts: with firebird-utils until upstream decides if
    "gstat" will get renamed. (Closes: #175154)

 -- Preston Smith <psmith@physics.purdue.edu>  Wed, 12 Mar 2003 13:07:24 -0500

ganglia-monitor-core (2.5.1-4) unstable; urgency=low

  * Egad, libganglia1-dev put include files in /usr/include.. Put in 
    /usr/include/ganglia

 -- Preston Smith <psmith@physics.purdue.edu>  Sun, 15 Dec 2002 00:10:19 -0500

ganglia-monitor-core (2.5.1-3) unstable; urgency=low

  * Changed package short description.
  * Upped the standards-version to 3.5.7.

 -- Preston Smith <psmith@foobird.net>  Fri, 15 Nov 2002 18:02:15 -0500

ganglia-monitor-core (2.5.1-2) unstable; urgency=low

  * Autobuilders gagged on a missing build-dep.

 -- Preston Smith <psmith@foobird.net>  Thu, 14 Nov 2002 18:53:19 -0500

ganglia-monitor-core (2.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed unnecessary Depends on libganglia1 for gmond/gmetad.

 -- Preston Smith <psmith@foobird.net>  Sun, 10 Nov 2002 14:21:05 -0500

ganglia-monitor-core (2.5.0-3) unstable; urgency=low

  * Another fix, upstream's autoconf stuff doesn't make config scripts
   all correctly.

 -- Preston Smith <psmith@physics.purdue.edu>  Mon, 23 Sep 2002 17:30:16 -0500

ganglia-monitor-core (2.5.0-2) unstable; urgency=low

  * Fixed a problematic build-depends: changed the dependency on any libgd-dev
    package to libgd-gif1-dev, since that's what rrdtool explicitly depends on. 

 -- Preston Smith <psmith@physics.purdue.edu>  Mon, 23 Sep 2002 14:28:38 -0500

ganglia-monitor-core (2.5.0-1) unstable; urgency=low

  * Intitial release of ganglia 2.5.0

 -- Preston Smith <psmith@foobird.net>  Thu, 19 Sep 2002 20:07:48 -0500

